

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Concept Definitions &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Organizational Viewpoint" href="organization-viewpoint.html" />
    <link rel="prev" title="Architecture Overview" href="overview.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Concept Definitions</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#object">Object</a></li>
<li class="toctree-l2"><a class="reference internal" href="#asset">Asset</a></li>
<li class="toctree-l2"><a class="reference internal" href="#node">Node</a></li>
<li class="toctree-l2"><a class="reference internal" href="#service">Service</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#service-instances">Service Instances</a></li>
<li class="toctree-l3"><a class="reference internal" href="#service-cascades">Service Cascades</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#service-provider">Service Provider</a></li>
<li class="toctree-l2"><a class="reference internal" href="#service-consumer">Service Consumer</a></li>
<li class="toctree-l2"><a class="reference internal" href="#node-provider">Node Provider</a></li>
<li class="toctree-l2"><a class="reference internal" href="#gaia-x-entity-registry">GAIA-X Entity-Registry</a></li>
<li class="toctree-l2"><a class="reference internal" href="#self-description">Self Description</a></li>
<li class="toctree-l2"><a class="reference internal" href="#service-mesh">Service Mesh</a></li>
<li class="toctree-l2"><a class="reference internal" href="#certification">Certification</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#continuous-certification">Continuous Certification</a></li>
<li class="toctree-l3"><a class="reference internal" href="#accreditation">Accreditation</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#auditing">Auditing</a></li>
<li class="toctree-l2"><a class="reference internal" href="#monitoring">Monitoring</a></li>
<li class="toctree-l2"><a class="reference internal" href="#code-of-conduct">Code of Conduct</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="organization-viewpoint.html">Organizational Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Concept Definitions</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/concepts.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="concept-definitions">
<h1>Concept Definitions<a class="headerlink" href="#concept-definitions" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>This chapter defines core concepts that are used throughout the Gaia-X
architecture. The definitions might have been used colloquially in the the
<a class="reference internal" href="overview.html#chapter-overview"><span class="std std-ref">Architecture Overview</span></a> chapter. Their precise meaning and interrelation is
given here. We can have an additional glossary for concepts that don’t make
it into the <em>core concept</em> list.</p>
</div>
<div class="section" id="object">
<span id="concept-object"></span><h2>Object<a class="headerlink" href="#object" title="Permalink to this headline">¶</a></h2>
<p>Everything that is referred to by a GAIA-X Identifier is an Object. There are
four groups of Objects: <em>Physical Things</em>, <em>Virtual Artifacts</em>, <a class="reference internal" href="#concept-asset"><span class="std std-ref">Assets</span></a> and <em>Legal Entities</em>.</p>
<p>Legal Entities are human persons, companies, government bodies, and so on.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Physical Things and Virtual Artifacts cannot enter legal agreements
themselves. But the Legal Entity overseeing (e.g. a Service Provider) them
can. See the <a class="reference internal" href="organization-viewpoint.html#viewpoint-organization"><span class="std std-ref">Organizational Viewpoint</span></a> for details.</p>
<p><a class="reference internal" href="#concept-node"><span class="std std-ref">Nodes</span></a> are Assets and also Physical Things. <cite>Services
:ref:&lt;concept-service&gt;</cite> are Assets and Virtual Artifacts. A Client
Application used to consume a Service is just a Virtual Artifact.</p>
</div>
</div>
<div class="section" id="asset">
<span id="concept-asset"></span><h2>Asset<a class="headerlink" href="#asset" title="Permalink to this headline">¶</a></h2>
<p>An Asset is either of</p>
<ul class="simple">
<li><p><a class="reference internal" href="#concept-node"><span class="std std-ref">Node</span></a></p></li>
<li><p><a class="reference internal" href="#concept-service"><span class="std std-ref">Service</span></a></p></li>
<li><p>Data</p></li>
</ul>
<p>The term Asset indicates an intrinsic value. So Assets can be a marketable
product.</p>
</div>
<div class="section" id="node">
<span id="concept-node"></span><h2>Node<a class="headerlink" href="#node" title="Permalink to this headline">¶</a></h2>
<p>A Node is one the fundamental concept of connecting real-world things to the
GAIA-X world: A Node is enabled by one or more GAIA-X <a class="reference internal" href="#concept-service"><span class="std std-ref">Services</span></a> to interact with other GAIA-X Services and Nodes.</p>
<p>The generic term ‘Node’ emphasizes the open and broad nature of GAIA-X. Some
would consider a datacenter site to be a Node, others a single computer, even
others a cluster of VMs. Depending on the context, other valid terms for Node
would be ‘device’, ‘mobile device’, ‘thing’, ‘machine’, ‘system’, ‘vehicle’ or
simply ‘object’.</p>
<p>A ‘Node’ per se is not able to be used in the GAIA-X context, however adding one
or more GAIA-X-enabling services to it does. Thus, with GAIA-X Services being
able to interact, a federated mesh of distributed Nodes is created.</p>
</div>
<div class="section" id="service">
<span id="concept-service"></span><h2>Service<a class="headerlink" href="#service" title="Permalink to this headline">¶</a></h2>
<p>A GAIA-X Service is a GAIA-X platform offering. It is offered by a GAIA-X
<a class="reference internal" href="#concept-provider"><span class="std std-ref">Service Provider</span></a> and consumed by GAIA-X <a class="reference internal" href="#concept-consumer"><span class="std std-ref">Service Consumer</span></a>. It is
the central way of interaction between GAIA-X platform actors. The GAIA-X
platform facilitates establishing provider/consumer service relationships.</p>
<p>Every service has a <a class="reference internal" href="#concept-self-description"><span class="std std-ref">Self Description</span></a>. This description enables
discovery of the service. It makes the service comparable to other (similar)
services. A Consumer uses the self-description to match the offering to his
requirements.</p>
<p>A GAIA-X Service can be build on other GAIA-X Services.</p>
<div class="section" id="service-instances">
<h3>Service Instances<a class="headerlink" href="#service-instances" title="Permalink to this headline">¶</a></h3>
<p>A GAIA-X Service Instance is the run-time realization of a
<a class="reference internal" href="#concept-service"><span class="std std-ref">Service</span></a> on <a class="reference internal" href="#concept-node"><span class="std std-ref">Nodes</span></a> where GAIA-X Services are
consumed by a GAIA-X <a class="reference internal" href="#concept-consumer"><span class="std std-ref">Service Consumer</span></a>.</p>
</div>
<div class="section" id="service-cascades">
<h3>Service Cascades<a class="headerlink" href="#service-cascades" title="Permalink to this headline">¶</a></h3>
<div class="figure align-default" id="id1" style="width: 100%">
<img alt="Service Cascade" src="_images/service-stack.png" />
<p class="caption"><span class="caption-text">Service Cascade</span><a class="headerlink" href="#id1" title="Permalink to this image">¶</a></p>
</div>
</div>
</div>
<div class="section" id="service-provider">
<span id="concept-provider"></span><h2>Service Provider<a class="headerlink" href="#service-provider" title="Permalink to this headline">¶</a></h2>
<p>A GAIA-X Provider is a registered legal entity, which operates GAIA-X Nodes and/or provides GAIA-X Services.</p>
<p>A Provider must have a <a class="reference internal" href="#concept-self-description"><span class="std std-ref">Self Description</span></a>.</p>
<p>A Provider may operate multiple Nodes which may provide multiple Services.</p>
<div class="figure align-default" id="id2" style="width: 100%">
<img alt="Service Providers" src="_images/providers.png" />
<p class="caption"><span class="caption-text">Service Providers</span><a class="headerlink" href="#id2" title="Permalink to this image">¶</a></p>
</div>
</div>
<div class="section" id="service-consumer">
<span id="concept-consumer"></span><h2>Service Consumer<a class="headerlink" href="#service-consumer" title="Permalink to this headline">¶</a></h2>
<p>A GAIA-X Consumer is a registered natural or legal person, which can access
and/or consume <a class="reference internal" href="#concept-service"><span class="std std-ref">Services</span></a>.</p>
</div>
<div class="section" id="node-provider">
<span id="concept-node-provider"></span><h2>Node Provider<a class="headerlink" href="#node-provider" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="gaia-x-entity-registry">
<h2>GAIA-X Entity-Registry<a class="headerlink" href="#gaia-x-entity-registry" title="Permalink to this headline">¶</a></h2>
<p>Authority where the registration and administration of GAIA-X entities
(provider, consumer, organizations) occurs.</p>
</div>
<div class="section" id="self-description">
<span id="concept-self-description"></span><h2>Self Description<a class="headerlink" href="#self-description" title="Permalink to this headline">¶</a></h2>
<p>A Gaia-X Self-Description is the structured standardized specification of
functional and non-functional properties of an element of the Gaia-X ecosystem,
for example a Provider, a Node, a Service or Data Asset.</p>
<p>For more details refer to the <a class="reference internal" href="service-viewpoint.html#service-self-description"><span class="std std-ref">Service Viewpoint</span></a>.</p>
</div>
<div class="section" id="service-mesh">
<h2>Service Mesh<a class="headerlink" href="#service-mesh" title="Permalink to this headline">¶</a></h2>
<div class="figure align-default" id="id3" style="width: 100%">
<img alt="Service Mesh" src="_images/service-mesh.png" />
<p class="caption"><span class="caption-text">Service Mesh</span><a class="headerlink" href="#id3" title="Permalink to this image">¶</a></p>
</div>
</div>
<div class="section" id="certification">
<h2>Certification<a class="headerlink" href="#certification" title="Permalink to this headline">¶</a></h2>
<p>Certifications refers to neutral attestations of systems (i.e., GAIA services
and nodes) and related management operations and that verify the conformity of
those systems and operations to pre-specified certification requirements.
Certifications are carried out by an independent (and accredited) third-party
(i.e., GAIA-X entity, certification bodies). A certification covers various
auditing techniques and processes, among other things, assessing the system
documentation about its security and data protection measures, interviewing
system owners’ employees, or conducting on-site assessments or penetration tests
to evaluate the system’s compliance. If the target system for a certification
adheres to specified requirements, the certification body awards a formal
written testimonial (i.e., a certificate) and system owners typically prove
certification compliance by using assurance seals in their websites.</p>
<div class="section" id="continuous-certification">
<h3>Continuous Certification<a class="headerlink" href="#continuous-certification" title="Permalink to this headline">¶</a></h3>
<p>Continuous certification refers to applying (semi-)automated monitoring and
auditing techniques, and mechanisms to transparently provide
certification-relevant information to continuously monitor whether systems
(i.e., GAIA services and nodes) adhere to certification criteria. Continuous
certification is carried out by certification bodies.</p>
</div>
<div class="section" id="accreditation">
<h3>Accreditation<a class="headerlink" href="#accreditation" title="Permalink to this headline">¶</a></h3>
<p>Accreditation refers to the process of onboarding providers onto the GAIA-X.
During this accreditation process, requirements are checked to ensure that the
new provider is able to fulfil minimum requirements when participating in the
GAIA-X ecosystem.</p>
<p>Please note that the term ‘accreditation’ has ambiguous meanings, as such,
accreditation in the context of certification has a diverging meaning (i.e.,
neutral attestations of certification bodies conveying formal demonstration of
its competence to carry out specific certification tasks), which we do not refer
to in the context of GAIA-X.</p>
</div>
</div>
<div class="section" id="auditing">
<h2>Auditing<a class="headerlink" href="#auditing" title="Permalink to this headline">¶</a></h2>
<p>Auditing refers to the systematic, independent, documented process for obtaining
records, statements of fact or other relevant information and assessing them
objectively to determine the extent to which specified certification
requirements are fulfilled. Auditing is carried out by certification bodies and
(independent) auditors.</p>
</div>
<div class="section" id="monitoring">
<h2>Monitoring<a class="headerlink" href="#monitoring" title="Permalink to this headline">¶</a></h2>
<p>Monitoring refers to the ongoing observance and analysis of operational states
of systems (i.e., GAIA services and nodes) to provide decision support, detect
and diagnose problems, and provide information for subsequent analyses.
Monitoring is carried out by the system owner itself (i.e., cloud and edge
service providers) or by independent monitoring bodies (i.e., GAIA X entity).</p>
</div>
<div class="section" id="code-of-conduct">
<h2>Code of Conduct<a class="headerlink" href="#code-of-conduct" title="Permalink to this headline">¶</a></h2>
<p>A code of conduct refers to a technical standard that comprises a set of
controls that a system (i.e., GAIA service and node) should implement in order
to establish adherence to the GAIA-X requirements. Once a system owner voluntary
declares adherence to the code, compliance with the code will be monitored on a
regular basis. The monitoring of compliance with a code of conduct may be
carried out by a monitoring body which has an appropriate level of expertise in
relation to the subject-matter of the code. This monitoring provides assurance
that the code can be trusted. Membership can be revoked for organizations that
no longer meet the requirements of the code.</p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="organization-viewpoint.html" class="btn btn-neutral float-right" title="Organizational Viewpoint" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="overview.html" class="btn btn-neutral float-left" title="Architecture Overview" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>